import Breadcrumb from "@/components/breadcrumb";
import ToolsTable from "@/components/evaluations-table/tools-table";
import { dummyEvaluations, dummySkills } from "@/constants/data";
import { Evaluation } from "@/types/evaluation";
import { Skill } from "@/types/skill";
import React from "react";

const breadcrumbItems = [
  { title: "Dashboard", link: "#" },
  { title: "Evaluations" },
];
const Page = () => {
  return (
    <div className="flex-1 space-y-4  p-4 md:p-8 pt-6">
      <Breadcrumb items={breadcrumbItems} />
      <ToolsTable evaluationsData={dummyEvaluations as Evaluation[]} />
    </div>
  );
};

export default Page;
