"use client";

import { Heading } from "@/components/ui/heading";
import { Separator } from "@/components/ui/separator";
import React from "react";
import { DataTable } from "./data-table";
import { columns } from "./columns";
import Link from "next/link";
import { Plus } from "lucide-react";
import { buttonVariants } from "@/components/ui/button";
import { EvaluationStart } from "@/types/evaluation-start";

const ToolsTable = ({ evaluationData }: { evaluationData: EvaluationStart[] }) => {
  return (
    <>
      <div className="flex items-start justify-between">
        <Heading
          title={`Evaluations (${evaluationData.length})`}
          description="Manage Evaluations"
        />
        <Link
          href="#"
          className={buttonVariants({
            variant: "default",
            // size: "sm",
          })}
          // className="text-xs md:text-sm"
          // onClick={() => router.push(`/admin-dashboard/tools/add`)}
        >
          <Plus className="mr-2 h-4 w-4" /> New Evaluation
        </Link>
      </div>
      <Separator />
      <DataTable data={evaluationData} columns={columns} />
    </>
  );
};

export default ToolsTable;
